apt 3.1.11 commandline package manager

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pkgDepCache::Transaction::Private Struct Reference

## Public Member Functions
void | rollback ()

## Static Public Member Functions
template<typename T>
static T * | copyArray (T *array, size_t count)

## Public Attributes
pkgDepCache & | cache
Behavior | behavior
std::unique_ptr< StateCache[]> | PkgState {copyArray(cache.PkgState, cache.GetCache().Head().PackageCount)}
std::unique_ptr< unsigned char[]> | DepState {copyArray(cache.DepState, cache.GetCache().Head().DependsCount)}
signed long long | iUsrSize {cache.iUsrSize}
unsigned long long | iDownloadSize {cache.iDownloadSize}
unsigned long | iInstCount {cache.iInstCount}
unsigned long | iUpgradeCount {cache.d->iUpgradeCount}
unsigned long | iDelCount {cache.iDelCount}
unsigned long | iKeepCount {cache.iKeepCount}
unsigned long | iBrokenCount {cache.iBrokenCount}
unsigned long | iPolicyBrokenCount {cache.iPolicyBrokenCount}
unsigned long | iBadCount {cache.iBadCount}

The documentation for this struct was generated from the following file:

- apt-pkg/depcache.cc